LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XChartDataArray Interface Referencepublished

gives access to data represented as an array of rows. More...

`import"XChartDataArray.idl";`

Inheritance diagram for XChartDataArray:

## Public Member Functions
sequence< sequence< double > > | getData ()
| retrieves the numerical data as a nested sequence of values. More...
void | setData ([in] sequence< sequence< double > > aData)
| sets the chart data as an array of numbers. More...
sequence< string > | getRowDescriptions ()
| retrieves the description texts for all rows. More...
void | setRowDescriptions ([in] sequence< string > aRowDescriptions)
| sets the description texts for all rows. More...
sequence< string > | getColumnDescriptions ()
| retrieves the description texts for all columns. More...
void | setColumnDescriptions ([in] sequence< string > aColumnDescriptions)
| sets the description texts for all columns. More...
Public Member Functions inherited from XChartData
void | addChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| allows a component supporting the XChartDataChangeEventListener interface to register as listener. More...
void | removeChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| removes a previously registered listener. More...
double | getNotANumber ()
boolean | isNotANumber ([in] double nNumber)
| checks whether the value given is equal to the indicator value for a missing value. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to data represented as an array of rows.

Can be obtained from interface XChartDocument via method getData().

If used for an XYDiagram, the row number 0 represents the x-values.

Developers Guide
  Charts - Data Access

## Member Function Documentation

## ◆ getColumnDescriptions()

sequence< string > getColumnDescriptions | ( |  | ) |

retrieves the description texts for all columns.

Returns
  a sequence of strings, each representing the description of a column.

## ◆ getData()

sequence< sequence< double > > getData | ( |  | ) |

retrieves the numerical data as a nested sequence of values.

Returns
  the values as a sequence of sequences. The inner sequence represents rows.

## ◆ getRowDescriptions()

sequence< string > getRowDescriptions | ( |  | ) |

retrieves the description texts for all rows.

Returns
  a sequence of strings, each representing the description of a row.

## ◆ setColumnDescriptions()

void setColumnDescriptions | ( | [in] sequence< string > | aColumnDescriptions | ) |

sets the description texts for all columns.

Parameters

  aColumnDescriptions | a sequence of strings which represent a description for each column.

## ◆ setData()

void setData | ( | [in] sequence< sequence< double > > | aData | ) |

sets the chart data as an array of numbers.

Parameters

  aData | the values as a sequence of sequences. The inner sequence represents rows.

## ◆ setRowDescriptions()

void setRowDescriptions | ( | [in] sequence< string > | aRowDescriptions | ) |

sets the description texts for all rows.

Parameters

  aRowDescriptions | a sequence of strings which represent a description for each row.

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XChartDataArray.idl